summaryrefslogtreecommitdiff
path: root/scripts/cinema.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/cinema.sh')
-rwxr-xr-xscripts/cinema.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/scripts/cinema.sh b/scripts/cinema.sh
new file mode 100755
index 0000000..c453260
--- /dev/null
+++ b/scripts/cinema.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+MAIN_DP=DP-2;
+v=$(xrandr --current --verbose | grep "Brightness" | cut -f2 -d " " | tr '\n' '*' | rev | cut -c 2- | rev | sed -e "s/$/==1/" | bc -l | grep -q 0 && echo 1 || echo 0); xrandr | grep " connected" | cut -f1 -d " " | while read -r line; do echo $line | grep -q $MAIN_DP && : || xrandr --output $line --brightness $v; done